From 865564d894322d0d2db281c8b830148256d62911 Mon Sep 17 00:00:00 2001
From: Peter Pentchev <roam@ringlet.net>
Date: Wed, 30 Mar 2011 14:04:49 +0300
Subject: [PATCH] Accept the Package-Type binary control field.

---
 .../Model/models/Debian/Dpkg/Control/Binary.pl     |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

diff --git a/lib/Config/Model/models/Debian/Dpkg/Control/Binary.pl b/lib/Config/Model/models/Debian/Dpkg/Control/Binary.pl
index a382f16..638d40b 100644
--- a/lib/Config/Model/models/Debian/Dpkg/Control/Binary.pl
+++ b/lib/Config/Model/models/Debian/Dpkg/Control/Binary.pl
@@ -103,6 +103,14 @@
                                         },
                              'type' => 'list'
                            },
+                           'Package-Type',
+                           {
+                             'value_type' => 'uniline',
+                             'summary' => 'The type of the package, if not a regular Debian one',
+                             'match' => '[tu]deb',
+                             'type' => 'leaf',
+                             'description' => 'If this field is present, the package is not a regular Debian package, but either a udeb generated for the Debian installer or a tdeb containing translated debconf strings.'
+                           },
                            'Synopsis',
                            {
                              'value_type' => 'uniline',
-- 
1.7.4.1

